<template>
  <section
    class="cart-banner text-dark text-center d-flex flex-column justify-content-center align-items-center"
  >
    <div class="container">
      <div class="row">
        <div class="col-3"></div>

        <div class="col-md-6">
          <h1 class="title text-white font-weight-bold">¡Bienvenido!</h1>
          <div class="d-flex flex-column flex-md-row justify-content-center align-items-center mt-2">
            <h2 class="subtitle text-white text-uppercase mt-2 mr-md-1">Haz tu pedido y</h2>
            <h2
              class="subtitle-2 text-white bg-primary d-inline-block px-2 py-1 mt-1"
            >
              #Protege a tu familia
            </h2>
          </div>
        </div>

        <div class="col-md-3"></div>
      </div>
    </div>
  </section>
</template>

<script>
export default {};
</script>

<style lang="scss" scoped>
.cart-banner {
  height: 20%;
  background: rgb(80, 190, 76);
  background: linear-gradient(
    90deg,
    rgba(80, 190, 76, 1) 0%,
    rgba(57, 156, 70, 1) 48%,
    rgba(35, 198, 62, 1) 100%
  );
  position: relative;

  &::before {
    content: '';
    background-image: url('@/assets/images/cart/banner-bg.png');
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: .2;
  }

  @media (min-width: 768px) {
    height: 220px;
  }

  .title,
  .subtitle,
  .subtitle-2 {
    border-radius: 0.3rem;
    margin: 0;
  }

  .title {
    font-weight: 700;

    font-size: 1.3em;

    @media (min-width: 768px) {
      font-size: 2em;
    }
  }

  .subtitle,
  .subtitle-2 {
    font-size: 0.9em;

    @media (min-width: 768px) {
      font-size: .9rem;
    }
  }
}
</style>
